<!-- Start header -->
<?php include 'header.php'; ?>
<!-- End header -->
<?php
if(isset($_POST['email'])) {
     
    // EDIT THE 2 LINES BELOW AS REQUIRED
	// $email_to = "fpcurry@gmail.com";
    $email_to = "info@stripesforthecure.com";
    $email_subject = "Stripes for the Cure Customer Request";
     
     
    function died($error) {
        // your error code can go here
        echo "We are very sorry, but there were error(s) found with the form you submitted. ";
        echo "These errors appear below.<br /><br />";
        echo $error."<br /><br />";
        echo "Please go back and fix these errors.<br /><br />";
        die();
    }
     
    // validation expected data exists
    if(!isset($_POST['first_name']) ||
        !isset($_POST['last_name']) ||
        !isset($_POST['email'])) {
        died('We are sorry, but there appears to be a problem with the form you submitted.');       
    }
     
    $first_name = $_POST['first_name']; // required
    $last_name = $_POST['last_name']; // required
    $email_from = $_POST['email']; // required
    $telephone = $_POST['telephone']; // required

    $address = $_POST['address']; // required
    $city = $_POST['city']; // required
    $state = $_POST['state']; // required
    $zip = $_POST['zip']; // required

    $race_location = $_POST['race_location']; // required
    $background = $_POST['background']; // required
    $line1 = $_POST['line1']; // required
    $line2 = $_POST['line2']; // required
    $imageopt = $_POST['imageopt']; // required
     
    $error_message = "";
    $email_exp = '/^[A-Za-z0-9._%-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$/';
  if(!preg_match($email_exp,$email_from)) {
    $error_message .= 'The Email Address you entered does not appear to be valid.<br />';
  }
    $string_exp = "/^[A-Za-z .'-]+$/";
  if(!preg_match($string_exp,$first_name)) {
    $error_message .= 'The First Name you entered does not appear to be valid.<br />';
  }
  if(!preg_match($string_exp,$last_name)) {
    $error_message .= 'The Last Name you entered does not appear to be valid.<br />';
  }
  if(strlen($error_message) > 0) {
    died($error_message);
  }
    $email_message = "Form details below.\n\n";
     
    function clean_string($string) {
      $bad = array("content-type","bcc:","to:","cc:","href");
      return str_replace($bad,"",$string);
    }
     
    $email_message .= "First Name: ".clean_string($first_name)."\n";
    $email_message .= "Last Name: ".clean_string($last_name)."\n";
    $email_message .= "Email: ".clean_string($email_from)."\n";
    $email_message .= "Telephone Number: ".clean_string($telephone)."\n";

    $email_message .= "Address: ".clean_string($address)."\n";
    $email_message .= "City: ".clean_string($city)."\n";
    $email_message .= "State: ".clean_string($state)."\n";
    $email_message .= "Zip: ".clean_string($zip)."\n";
     
	$email_message .= "Race Location: ".clean_string($address)."\n";
    $email_message .= "Stripe Background Color: ".clean_string($background)."\n";
    $email_message .= "Line 1 Text: ".clean_string($line1)."\n";
    $email_message .= "Line 2 Text: ".clean_string($line2)."\n";
    $email_message .= "Custom Image: ".clean_string($imageopt)."\n";
     
     
// create email headers
$headers = 'From: '.$email_from."\r\n".
'Reply-To: '.$email_from."\r\n" .
'X-Mailer: PHP/' . phpversion();
@mail($email_to, $email_subject, $email_message, $headers);  
?>

<!-- include your own success html here -->

<h3>Thank you for submitting your memory information. Please click the button below to finalize your payment.</h3>
<br />
<form name="PrePage" method = "post" action = "https://Simplecheckout.authorize.net/payment/CatalogPayment.aspx">
  <input type = "hidden" name = "LinkId" value ="5281e1aa-7f99-4428-b525-e190a983388e" />
  <input type = "image" src ="//content.authorize.net/images/buy-now-gold.gif" />
</form>
<?php
}
?>
<!-- Start footer -->
<?php include 'footer.php'; ?>
<!-- End footer -->